## GtkAccessible GtkAccessible — Accessibility support for widgets |

## Functions

void | gtk_accessible_connect_widget_destroyed ()
GtkWidget * | gtk_accessible_get_widget ()
void | gtk_accessible_set_widget ()

## Properties

GtkWidget * | widget | Read / Write

## Types and Values

struct | GtkAccessible

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── GtkAccessible

## Includes

    #include <gtk/gtk.h>

## Description

The GtkAccessible class is the base class for accessible implementations for GtkWidget subclasses. It is a thin wrapper around AtkObject, which adds facilities for associating a widget with its accessible object.

An accessible implementation for a third-party widget should derive from GtkAccessible and implement the suitable interfaces from ATK, such as AtkText or AtkSelection. To establish the connection between the widget class and its corresponding acccessible implementation, override the get_accessible vfunc in GtkWidgetClass.

## Functions

### gtk_accessible_connect_widget_destroyed ()

    void
    gtk_accessible_connect_widget_destroyed
                                   (GtkAccessible *accessible);

`gtk_accessible_connect_widget_destroyed` has been deprecated since version 3.4 and should not be used in newly-written code.

Use `gtk_accessible_set_widget()` and its vfuncs.

This function specifies the callback function to be called when the widget corresponding to a GtkAccessible is destroyed.

#### Parameters

accessible | a GtkAccessible |

### gtk_accessible_get_widget ()

    GtkWidget *
    gtk_accessible_get_widget (GtkAccessible *accessible);

Gets the GtkWidget corresponding to the GtkAccessible. The returned widget does not have a reference added, so you do not need to unref it.

#### Parameters

accessible | a GtkAccessible |

#### Returns

pointer to the GtkWidget corresponding to the GtkAccessible, or `NULL`.

[transfer none]

Since 2.22

### gtk_accessible_set_widget ()

    void
    gtk_accessible_set_widget (GtkAccessible *accessible,
                               GtkWidget *widget);

Sets the GtkWidget corresponding to the GtkAccessible.

`accessible` will not hold a reference to `widget` . It is the caller’s responsibility to ensure that when `widget` is destroyed, the widget is unset by calling this function again with `widget` set to `NULL`.

#### Parameters

accessible | a GtkAccessible |
widget | a GtkWidget or `NULL` to unset. | [allow-none]

Since 2.22

## Types and Values

### struct GtkAccessible

    struct GtkAccessible;

## Property Details

### The `“widget”` property

      “widget”                   GtkWidget *

The widget referenced by this accessible.

Flags: Read / Write